org.apache.sysds.runtime.io

## Class FileFormatProperties

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties

Direct Known Subclasses:
  FileFormatPropertiesCSV, FileFormatPropertiesHDF5, FileFormatPropertiesLIBSVM, FileFormatPropertiesMM

    public class FileFormatProperties
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FileFormatProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()`
`void` `setDescription(String description)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileFormatProperties

    public FileFormatProperties()

### Method Detail

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)